#
# spec file for package gnome-taquin
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-taquin
Version:        3.20.2
Release:        2.2
Summary:        A computer version of the 15-puzzle and other sliding puzzles 
License:        GPL-3.0+
Group:          Amusements/Games/Board/Puzzle
Url:            https://wiki.gnome.org/Apps/Taquin
Source:         http://download.gnome.org/sources/gnome-taquin/3.20/%{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  libxml2-tools
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.15.0
BuildRequires:  pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Taquin is a computer version of the 15-puzzle and other sliding puzzles.

The object of Taquin is to move tiles so that they reach their places,
either indicated with numbers, or with parts of a great image.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}
%suse_update_desktop_file org.gnome.taquin PuzzleGame
%find_lang gnome-taquin %{?no_lang_C} %{name}.lang

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.taquin.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.taquin.gschema.xml
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.taquin.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.taquin.service
%{_datadir}/icons/hicolor/*/apps/*
%doc %{_datadir}/help/C/%{name}/
%{_mandir}/man6/%{name}.6%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Mon May  9 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Updated translations.
* Thu Apr 14 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + The "valign” property of some buttons of the headerbar has been
    set to “center”, to look better on some rare configurations.
  + Bugs fixed: bgo#762466.
  + Updated translations.
* Tue Mar  1 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + Updated translations.
* Wed Feb 17 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + Two cats have been replaced, for DFSG compatibility.
  + Other changes include some metadata updates, and corrections
    caused by recent GTK+.
  + Updated translations.
* Tue Nov 24 2015 zaitor@opensuse.org
- Update to version 3.19.1:
  + Adaptation to current CSS-nodes.
  + Known issues:
  - Narrow no-break space (U+202F) looks not rendered in some
    locales.
  - CSS-nodes will break again.
* Thu Nov 12 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Update CSS for uses with newer Gtk+.
  + Updated translations.
* Thu Oct 15 2015 zaitor@opensuse.org
- Update to version 3.18.1.1:
  + Updated translations.
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Fix dragging the window after clicking the game view.
  + Updated translations.
* Wed Sep  2 2015 dimstar@opensuse.org
- Update to version 3.17.91:
  + Updated translations.
* Tue Aug 18 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Print --version output on stdout.
  + Updated translations.
* Tue Apr 28 2015 zaitor@opensuse.org
- Update to version 3.17.1:
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + HighContrast icons removed (as the symbolic one is now used).
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Add symbolic icon.
  + Don’t crash on closing.
  + Updated translations.
* Tue Mar 17 2015 mcatanzaro@gnome.org
- Set license tag correctly to GPL-3.0+.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91.1:
  + Correct a weird bug that hides the app-menu.
- Changes from version 3.15.90:
  + Big code reorganisation, correcting some weird bugs.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Images compression.
  + Dbus activatable.
  + Use CSS for radios' background images.
  + Permissions of the tarball files fixed.
  + Updated translations.
* Sat Jan 24 2015 badshah400@gmail.com
- Update to version 3.15.4:
  + Add sound.
  + Better focus.
  + Rework start-screen and animations.
  + Better help.
  + Updated translations.
- Permissions for doc files fixed upstream, no longer need to be
  fixed in specfile (bgo#742948).
- Add pkgconfig(libcanberra-gtk3) >= 0.26 to BuildRequires.
* Sat Jan 10 2015 badshah400@gmail.com
- Initial package.
